
D4Science Infrastructure - Task #8564

Task # 8442 (Closed): Authorization Service  to update : auth@node7.d.d4science.research-infrastructures.eu

Move tabulardata databases hosted on node7.d to postgresql-srv-dev

May 12, 2017 05:48 PM - Roberto Cirillo

Status: Closed Start date: May 12, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: Dismiss

node7.d.d4science.research-infrastructur

es.eu

  

Infrastructure: Development   

Description

In order to dismiss the node7.d.research-infrastructures.eu VM, it's needed to move all the tabulardata databases to

postgresql-srv-dev.d4science.org VM

History

#1 - May 12, 2017 05:51 PM - Roberto Cirillo

- Parent task set to #8442

#2 - May 16, 2017 12:06 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 50

Lucio already changed the service endpoints.

@lucio.lelii@isti.cnr.it an import of the old databases is needed?

#3 - May 16, 2017 06:35 PM - Andrea Dell'Amico

@tommaso.piccioli@isti.cnr.it it seems that the old tabulardata database is more than 100GB in size. We need to slightly increase the disk space on

postgresql-srv-dev.d4science.org before moving it, and we need to decide if and how to backup it.

#4 - May 17, 2017 06:47 PM - Andrea Dell'Amico

For the time being, because the hostname node7.d.d4science.research-infrastructures.eu needs to be moved as alias of auth-d.dev.d4science.org,

the old node7.d.d4science's IP has been assigned to the host tabulardata-db-old.d4science.org and the tabulardata's configuration modified to use

that hostname as postgresql server.

#5 - Jun 08, 2017 03:57 PM - Andrea Dell'Amico

- % Done changed from 50 to 90

The tabulardata and tabularmetadata databases have been restored on postgresql-srv-dev.d4science.org.

#6 - Jun 09, 2017 03:48 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

database migrated, the old VM has been stopped by @tommaso.piccioli@isti.cnr.it 
